Skip to main content
npayload is launching soon.
npayloadDocs
API ReferenceConnectors

List available connectors

Returns all available third-party service connectors.

GET/v1/connectors

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key authentication. Keys are prefixed with environment:

  • npk_live_ for production
  • npk_test_ for testing/staging

In: header

Response Body

application/json

application/json

curl -X GET "https://api.npayload.com/v1/connectors"
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "category": "string",
      "icon": "string",
      "authType": "oauth2",
      "status": "available"
    }
  ]
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Invalid or missing API key"
  }
}

Was this page helpful?